@charset "utf-8";

/* ----------------------------------------
	footer-sub-page.css(下層ページ)
---------------------------------------- */

#footer {
  padding-top: 15rem;
}

.footer {
  position: relative;
}

.footer-sub-page-contact {
  position: absolute;
  top: -30%;
  left: 50%;
  transform: translateX(-50%);
  -webkit-transform: translateX(-50%);
  -ms-transform: translateX(-50%);
  width: 100%;
}

.footer-sub-page-contact a {
  position: relative;
  display: block;
  width: 70%;
  margin: 0 auto;
}

.footer-sub-page-contact figure {
  position: relative;
  border-radius: 20px;
  overflow: hidden;
}

.footer-sub-page-contact figure img {
  width: 100%;
  height: auto;
  display: block;
  border-radius: 20px;
  transition: transform 0.6s ease, filter 0.6s ease;
}

.footer-sub-page-contact img:hover {
  transform: scale(1.1);
  filter: brightness(0.8);
}

/* お問い合わせタイトル */
.footer-sub-page-contact-ttl {
  position: absolute;
  top: 50%;
  left: 10%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
}

.footer-sub-page-contact-ttl::before {
  position: absolute;
  content: "";
  width: 40px;
  left: 0;
  top: -1rem;
  border-bottom: 5px solid #f9454e;
}

.footer-sub-page-contact-ttl::after {
  position: absolute;
  content: "";
  width: 40px;
  left: 40px;
  top: -1rem;
  border-bottom: 5px solid #3067d1;
}

.footer-sub-page-contact-ttl p:first-child {
  color: #bac7cc;
  font-weight: 700;
}

.footer-sub-page-contact-ttl p:last-child {
  color: #fff;
  font-size: 2rem;
  font-weight: 700;
}

/* お問い合わせボタン */
.footer-sub-page-contact-btn-box {
  position: absolute;
  top: 50%;
  right: 10%;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
}

.footer-sub-page-contact-btn {
  position: relative;
  display: inline-block;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  border: solid 1px #fff;
  transition: transform 0.3s ease;
}

.footer-sub-page-contact:hover .footer-sub-page-contact-btn {
  background-color: #3067d1;
  border: none;
}

.footer-sub-page-contact-btn p {
  color: #fff;
}

.footer-sub-page-contact-btn span {
  color: #fff;
  font-family: "Montserrat", sans-serif;
  font-size: 0.9rem;
  line-height: 1.5;
  position: absolute;
  top: 50%;
  left: 51%;
  transform: translate(-50%, -50%);
  -webkit-transform: translate(-50%, -50%);
  -ms-transform: translate(-50%, -50%);
  width: 120px;
  text-align: center;
}

.footer-top {
  background-color: #3067d1;
  padding: 14rem 6% 4rem 6%;
  display: flex;
  align-items: center;
  gap: 6%;
}

.footer-top-left {
  width: 25%;
  flex: 1;
}

.footer-top-right {
  width: 75%;
  flex: 5;
}

.footer-logo {
  margin: 0 auto 2rem auto;
}

.footer .footer-nav .footer-nav-list {
  width: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: center;
  gap: 2%;
}

.footer .footer-nav .footer-nav-list .main-item {
  width: 20%;
  font-family: "Montserrat", sans-serif;
  font-size: 0.95em;
  font-weight: bold;
}

.footer .footer-nav a {
  color: #fff;
}

.footer .footer-nav a:hover {
  color: #fff;
  opacity: 0.5;
}

.footer .footer-nav .sub-menu {
  margin-top: 1.5rem;
}

.footer .footer-nav .sub-menu li {
  width: 100%;
  font-size: 0.85em;
  font-weight: 400;
  margin-bottom: 0.8rem;
}

.footer .footer-nav .sub-menu li:last-child {
  margin-bottom: 0;
}

#footer .indent {
  text-indent: -1.2em;
  padding-left: 1.2em;
}

hr {
  color: #bac7cc;
}

.footer-bottom {
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 2rem;
  background-color: #3067d1;
  padding: 0.5rem 1rem;
}

.footer-bottom a,
.footer-bottom p {
  font-size: 0.8rem;
  color: #fff;
}

.footer-bottom a:hover {
  color: #fff;
  opacity: 0.5;
}

/* お問い合わせボタン */
.btn-contact-footer {
  margin: 0 auto;
  background-color: #eaf0fa;
  padding: 1rem;
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.btn-contact-footer p {
  color: #3067d1;
  font-weight: 700;
}

.btn-contact-footer:hover .fa-arrow-right {
  transform: scale(1.2);
}

.fa-arrow-right {
  display: inline-block;
  width: 30px;
  height: 30px;
  border-radius: 50%;
  background: #3067d1;
  color: #fff;
  text-align: center;
  line-height: 30px;
  transition: transform 0.3s ease;
}

.fa-arrow-right {
  display: block;
}

/* page-top-bottom */
.page-top {
  position: absolute;
  top: 50%;
  right: 2rem;
  transform: translateY(-50%);
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
}

.page-top p {
  font-family: "Montserrat", sans-serif;
  font-weight: bold;
  writing-mode: vertical-rl;
  margin-top: 0.5rem;
  line-height: 3;
}

.page-top p {
  color: #fff;
}

.page-top:hover p {
  color: #fff;
  opacity: 0.5;
}

.page-top figure {
  display: inline-block;
  animation: fuwafuwa 2.5s ease-in-out infinite;
}

@keyframes fuwafuwa {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-6px);
  }
  100% {
    transform: translateY(0);
  }
}

/* 画面幅1440px以下 */
@media screen and (max-width:1440px) {
  .footer-top {
    padding: 11rem 6% 4rem 6%;
  }

  .footer-sub-page-contact {
    top: -25%;
  }
}

/* 画面幅1280px以下 */
@media screen and (max-width:1280px) {
  .footer-top {
    padding: 9rem 6% 4rem 6%;
  }

  .footer-top {
    flex-direction: column;
    align-items: center;
    gap: 3rem;
  }

  .footer-top-left {
    width: 40%;
  }
 
  .footer-top-right {
    width: 100%;
  }

  .footer-logo {
    margin: 0 auto 1.5rem;
  }

  .footer-sub-page-contact {
    top: -20%;
  }
}

/* 画面幅1180px以下 */
@media screen and (max-width:1180px) {
  #footer {
    padding-top: 8rem;
  }

  .footer-sub-page-contact {
    top: -15%;
  }

  .footer-sub-page-contact-ttl p:first-child {
    font-size: 0.85rem;
  }

  .footer-sub-page-contact-ttl p:last-child {
    font-size: 1.7rem;
  }
}

/* 画面幅1024px以下 */
@media screen and (max-width:1024px) {
  .footer-top {
    padding: 8rem 6% 4rem 6%;
  }

  .footer-top-left {
    width: 50%;
  }

  .footer-sub-page-contact {
    top: -11%;
  }

  .footer-sub-page-contact-ttl p:last-child {
    font-size: 1.5rem;
  }

  .footer .footer-nav .footer-nav-list {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 2.5rem;
  }

  .footer .footer-nav .footer-nav-list .main-item {
    width: 100%;
  }

  .page-top {
    right: 1rem;
  }
}

/* 画面幅767px以下 */
@media screen and (max-width:767px) {
  .footer-top {
    padding: 8rem 10% 4rem 10%;
  }

  .footer-top-left {
    width: 70%;
  }

  .footer-sub-page-contact a {
    width: 80%;
  }

  .footer-sub-page-contact {
    top: -8%;
  }

  .footer-sub-page-contact-ttl p:last-child {
    font-size: 1.3rem;
  }

  .footer-sub-page-contact-btn {
    width: 100px;
    height: 100px;
  }

  .footer-sub-page-contact-btn span {
    font-size: 0.8rem;
  }

  .footer .footer-nav .footer-nav-list {
    grid-template-columns: repeat(3, 1fr);
  }
}

/* 画面幅575px以下 */
@media screen and (max-width:575px) {
  #footer {
    padding-top: 4rem;
  }

  .footer-top {
    padding: 6rem 10% 6rem 10%;
  }

  .footer-top {
    gap: 1rem;
  }

  .footer-top-left {
    width: 100%;
  }

  .footer .footer-nav .footer-nav-list {
    grid-template-columns: repeat(2, 1fr);
  }

  .footer-sub-page-contact a {
    width: calc(100% - 2rem);
  }

  .footer-sub-page-contact-ttl p:last-child {
    font-size: 1.2rem;
  }

  .footer-sub-page-contact-ttl {
    position: absolute;
    top: 60%;
    left: 10%;
  }

  .footer-sub-page-contact-btn {
    width: 60px;
    height: 60px;
  }

  .footer-sub-page-contact-btn span {
    font-size: 1.5rem;
  }

  .footer-sub-page-contact-btn p {
    display: none;
  }

  .footer-bottom {
    display: block;
    text-align: right;
  }
}

/* 画面幅475px以下 */
@media screen and (max-width:475px) {
  .footer-top {
    padding: 3rem 10% 6rem 10%;
  }

  .footer-sub-page-contact-ttl p:last-child {
    font-size: 1.1rem;
  }

  .footer-sub-page-contact-ttl p:first-child {
    font-size: 0.8rem;
  }

  .footer-sub-page-contact-ttl::before {
    top: -0.75rem;
  }

  .footer-sub-page-contact-ttl::after {
    top: -0.75rem;
  }
}

/* 画面幅375px以下 */
@media screen and (max-width:375px) {
  .page-top {
    display: flex;
    gap: 1rem;
    top: 90%;
  }

  .page-top p {
    writing-mode: horizontal-tb;
  }
}